Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.endpoint
Interface ServiceContractResolverRegistry

    public interface ServiceContractResolverRegistry

A registry for maintaining a collection of contract resolvers.

Method Summary
`java.net.URI` | `getContractLocation(javax.xml.namespace.QName qname)` Resolves a service's QName to a URI respresenting the location of a WSDL contract.
`boolean` | `isRegistered(ServiceContractResolver resolver)` Determines if a contract resolver is already registered with a registry.
`void` | `register(ServiceContractResolver resolver)` Registers a contract resolver.
`void` | `unregister(ServiceContractResolver resolver)` Removes a contract resolver from the registry.

Method Detail

### getContractLocation

    java.net.URI getContractLocation(javax.xml.namespace.QName qname)

  Resolves a service's QName to a URI respresenting the location of a WSDL contract. The registry method is called by the bus and should use the `getContractLocation` methods of the registered contract resolvers to do the actual resolution.

  Parameters:
    `qname` - the service qname to resolve into a URI
  Returns:
    URI representing the WSDL contract's location

### register

    void register(ServiceContractResolver resolver)

  Registers a contract resolver.

  Parameters:
    `resolver` - the contract resolver being registered

### unregister

    void unregister(ServiceContractResolver resolver)

  Removes a contract resolver from the registry.

  Parameters:
    `resolver` - the contract resolver being removed

### isRegistered

    boolean isRegistered(ServiceContractResolver resolver)

  Determines if a contract resolver is already registered with a registry.

  Parameters:
    `resolver` - the contract resolver for which to search
  Returns:
    `true` if the contract resolver is already registered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF